#### Previous topic

scipy.stats.multinomial

#### Next topic

scipy.stats.ortho_group

# scipy.stats.special_ortho_group

`scipy.stats.``special_ortho_group` = <scipy.stats._multivariate.special_ortho_group_gen object>

  A matrix-valued SO(N) random variable.

  Return a random rotation matrix, drawn from the Haar distribution (the only uniform distribution on SO(n)).

  The dim keyword specifies the dimension N.

  Parameters:

  dim : scalar

  > Dimension of matrices

  Notes

  This class is wrapping the random_rot code from the MDP Toolkit, https://github.com/mdp-toolkit/mdp-toolkit

  Return a random rotation matrix, drawn from the Haar distribution (the only uniform distribution on SO(n)). The algorithm is described in the paper Stewart, G.W., “The efficient generation of random orthogonal matrices with an application to condition estimators”, SIAM Journal on Numerical Analysis, 17(3), pp. 403-409, 1980. For more information see http://en.wikipedia.org/wiki/Orthogonal_matrix#Randomization

  See also the similar `ortho_group`.

  Examples

      >>> from scipy.stats import special_ortho_group
      >>> x = special_ortho_group.rvs(3)

      >>> np.dot(x, x.T)
      array([[  1.00000000e+00,   1.13231364e-17,  -2.86852790e-16],
             [  1.13231364e-17,   1.00000000e+00,  -1.46845020e-16],
             [ -2.86852790e-16,  -1.46845020e-16,   1.00000000e+00]])

      >>> import scipy.linalg
      >>> scipy.linalg.det(x)
      1.0

  This generates one random matrix from SO(3). It is orthogonal and has a determinant of 1.

  Methods

  `rvs(dim=None, size=1, random_state=None)` | Draw random samples from SO(N).